<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryCursor..::.Delete Method
SecondaryCursor Class See Also

Delete the key/data pair to which the cursor refers from the primary database and all secondary indices.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public void Delete()

Visual Basic (Declaration)

    Public Sub Delete

Visual C++

    public:
    void Delete()

# Remarks

The cursor position is unchanged after a delete, and subsequent calls to cursor functions expecting the cursor to refer to an existing key will fail.

# Exceptions

Exception | Condition
--- | ---
BerkeleyDB..::.KeyEmptyException | The element has already been deleted.

# See Also

SecondaryCursor Class
BerkeleyDB Namespace